; This text file is the configuration file for the Flash programming utilities.
; The utilities are FLSHPICO.EXE, SAVFLASH.EXE, and MAKFDISK.EXE.
; The file consists of lines which generally conform to the
;
;               label = data
;
; format, where "label" is a reserved word which the program understands, and
; "data" is some information that can vary.  Blank lines are allowed in this
; file, case is insignificant, and whitespace is ignored.  So the following
; three lines are viewed as identical by the function which reads this file:
;
;               PART = 28F010
;               part = 28F010
;               part=28F010
;
; Comment lines (such as these) can be placed anywhere in the file.
; The lines which provide the data can be in any order.
;
; The "Assert =" line is optional; however, the "VPP =" line is NOT optional.
; There are three methods of specifying how to raise Vpp:
;               1. Keyboard controller port pin method
;               2. Dual register method
;               3. Custom program method
;
; Here are three examples:
;
;               VPP = P3.5, 0
;               VPP = I196, D199, R22, 1100, 0
;               VPP = compal.com
;
; The first example tells the program to set bit 5 of port pin 3 to low
; through the 80C51SL to raise Vpp.  The second example uses the dual
; register method.  It provides the following information:
;       Index port   = 196h     The port to set the index value
;       Data port    = 199h     The port to send the data
;       Register     =  22h     The particular register which must be changed
;       Bit mask     = 1100h    The bit(s) of the register which must change
;       Bit polarity = 0        The polarity of the bits to raise Vpp
;
; The third VPP example says to use the program called EVAL.COM to manipulate
; Vpp.  This program is written by someone at SystemSoft.
;
; Programming the boot block memory of a boot block Flash device: Add the
; following line to this file:
;
;               PROG_BOOTBLOCK = TRUE
;
; This will cause the program to pause just before raising Vpp and prompt the
; user to make any jumper changes necessary.  The program then continues and
; programs all blocks of memory on the device.

PART = 28F010
INPUT = pico.rom
VPP = COMPAL.COM
; Invert_A16 = TRUE
; PROG_BOOTBLOCK = TRUE
